## net.sf.saxon.option.local
Class Numberer_nl

    java.lang.Object
      net.sf.saxon.expr.number.AbstractNumberer
          net.sf.saxon.option.local.Numberer_nl

All Implemented Interfaces:
  Serializable, Numberer

    public class Numberer_nl

extends AbstractNumberer

Author:
  Karel Goossens BTR-Services Belgium. Numberer class for the Dutch language.

  Modified 2009-07-27 by MHK to use initial capital letters in names of months, days, and numbers. In response to email from Laurens Holst on saxon-help list: "Although in Dutch we do not capitalise months by default, it still needs to be capitalised when it appears at the start of a sentence, hence there is the problem."

See Also:
  http://woordenlijst.org/leidraad/6/9/#r6n, http://taaladvies.net/taal/advies/popup.php?id=88, http://www.vlaanderen.be/servlet/Satellite?c=Page&cid=1120536021990&pagename=taaltelefoon%2FPage%2FHomePageMIN, Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer
`cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

Constructor Summary
`Numberer_nl()`

Method Summary
`String` `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`String` `getEraName(int year)` Get the name for an era (e.g.
`String` `halfDayName(int minutes, int minWidth, int maxWidth)` Get an am/pm indicator
`String` `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`String` `toOrdinalWords(String ordinalParam, long number, int wordCase)` Show an ordinal number as dutch words in a requested case (for example, Twentyfirst)
`String` `toWords(long number)` Show the number as words in title case.
`String` `toWords(long number, int wordCase)` Format a number as English words with specified case options

Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer
`alphaDefault, format, format, getCalendarName, getCountry, getOrdinalSuffixForDateTime, ordinalSuffix, setCountry, toAlpha, toAlphaSequence, toJapanese, toRoman`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_nl

    public Numberer_nl()

Method Detail

### toOrdinalWords

    public String toOrdinalWords(String ordinalParam,
                                 long number,
                                 int wordCase)

  Show an ordinal number as dutch words in a requested case (for example, Twentyfirst)

  Specified by:
    `toOrdinalWords` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the "ordinal" attribute as supplied by the user
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### toWords

    public String toWords(long number)

  Description copied from class: `AbstractNumberer`
  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Specified by:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
  Returns:
    the number formatted as English words

### toWords

    public String toWords(long number,
                          int wordCase)

  Description copied from class: `AbstractNumberer`
  Format a number as English words with specified case options

  Overrides:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### monthName

    public String monthName(int month,
                            int minWidth,
                            int maxWidth)

  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Specified by:
    `monthName` in class `AbstractNumberer`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public String dayName(int day,
                          int minWidth,
                          int maxWidth)

  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Specified by:
    `dayName` in class `AbstractNumberer`
  Parameters:
    `day` - The day of the week (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### halfDayName

    public String halfDayName(int minutes,
                              int minWidth,
                              int maxWidth)

  Get an am/pm indicator

  Specified by:
    `halfDayName` in interface `Numberer`
  Overrides:
    `halfDayName` in class `AbstractNumberer`
  Parameters:
    `minutes` - the minutes within the day
    `minWidth` - minimum width of output
    `maxWidth` - maximum width of output
  Returns:
    the AM or PM indicator

### getEraName

    public String getEraName(int year)

  Get the name for an era (e.g. "BC" or "AD")

  Specified by:
    `getEraName` in interface `Numberer`
  Overrides:
    `getEraName` in class `AbstractNumberer`
  Parameters:
    `year` - the proleptic gregorian year, using "0" for the year before 1AD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.